Redmine - Feature #7376

Allow percent done to be updated via VCS commit message
2011-01-19 19:14 - Eli Stevens

Status: New Start date: 2011-01-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution:

Description

Currently, adding time spent entries for an issue doesn't change the percent done field. This means that Gantt charts, etc. don't
display the true state of the project until the issue is closed (unless the developer goes in and manually changes the percent done via
the web Ul (which negates most of the purpose of #4155).

It would be very helpful to be able to specify the percent done in the commit message:

refs #4155 @1.5h 20%

For syntax, I'm imagining something like this regex:

' 4+(100][1-9]12[0-9])%"

History

#1 -2011-01-19 20:39 - Toshi MARUYAMA
- Category set to SCM

#2 - 2011-01-24 19:59 - Anonymous

I'm very interested in this as well. If we could get this implemented, it would definitely help us provide better status reporting (we wouldn't have to
simply hope that the developers will actually log in to the site every day and provide updates)

#3 - 2011-01-24 20:07 - Eli Stevens

| have a rough hack in place that lets me do this on our install. It's not polished at all, but it works well enough for us, for now. I'll try and get a patch
put together some time this week (I doubt that the patch would ever be accepted into core, but it might work for people that need the feature sooner
rather than later).

#4 - 2013-11-26 00:39 - Felix Tiede
- File changeset.diff added

| wanted that feature as well and have hacked together a patch to implement it. | have attached a patch which puts this feature to works-for-me.

#5 - 2013-11-26 06:04 - Felix Tiede

Felix Tiede wrote:

| wanted that feature as well and have hacked together a patch to implement it. | have attached a patch which puts this feature to works-for-me.

Since it was late at night here is a short description of what my patch does:

If a changeset comment contains a ticket reference this ticket reference may contain a time specification for time logging and after that a percentage
value in steps of ten percent points just like the %Done ratio dropdown box. This ratio is stored in the referenced issue as well as a journal entry is
created. A status change of the referenced issue is not (yet) implemented, | might add a status change from New to In Progress in the future.

A value of 100% is allowed but does not set the issue to Closed or Fixed state. Also 0% is currently not allowed. There's also no Setting value to
disable this feature and no check whether the done ratio feature is enabled for the issue tracker. While | might be adding a status change feature in
the future | will not add any Setting value to enable/disable this.

Anyway | would be glad if this could be integrated into a future version of Redmine.

#6 - 2013-11-26 20:01 - Felix Tiede
- File doneratio.patch added

2025-08-23 1/2



https://www.redmine.org/issues/4155

| tried to setup a complete patch including necessary options in Admin->Settings as well as status changes based on done ratio in the commit
message (100% done ratio does not close issue though). It works as far as I've tested it but lacks proper unit tests as well as localization for most

languages in Redmine.

The patch is built against Redmine 2.3.2, | hope it works with other versions as well but have not the means to test.

#7 - 2014-03-14 11:51 - Daniele Pedroni

+1
Useful feature, my team asked for it several times!
Hope it will be considered for integration in Redmine core.

#8 - 2015-06-12 12:15 - loomy lumenstein

+1 from me

#9 - 2021-01-22 13:51 - Guillermo Gutiérrez

+1

Files

changeset.diff 2.02 KB 2013-11-25 Felix Tiede

doneratio.patch 6.23 KB 2013-11-26 Felix Tiede
